"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Atoms = require("../../Atoms");

var _theme = require("../../../constant/theme");

var _button = _interopRequireDefault(require("./button.style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const GhostButton = _ref => {
  let {
    title,
    onPress,
    disabled,
    style,
    color,
    loading,
    left
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    disabled: disabled,
    style: [_button.default.ghostButton, disabled && _button.default.disabled, {
      borderColor: disabled ? _theme.colors.grey.grey3 : color
    }, style]
  }, loading ? /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    color: color
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, left, /*#__PURE__*/_react.default.createElement(_Atoms.Text, {
    adjustsFontSizeToFit: true,
    numberOfLines: 1,
    text: title,
    textStyle: {
      color: disabled ? _theme.colors.grey.grey3 : color
    },
    variant: "bold"
  })));
};

GhostButton.propTypes = {
  left: _propTypes.default.any,
  title: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  size: _propTypes.default.oneOf(_theme.defaultSize),
  variant: _propTypes.default.oneOf(_theme.defaultVariant),
  onPress: _propTypes.default.func.isRequired
};
GhostButton.defaultProps = {
  left: undefined,
  title: 'Button Title',
  textSize: 'medium',
  textVariant: 'medium',
  color: _theme.colors.primary,
  onPress: () => {}
};

var _default = /*#__PURE__*/_react.default.memo(GhostButton);

exports.default = _default;
//# sourceMappingURL=GhostButton.js.map