import propTypes from 'prop-types';
import React from 'react';
import { ActivityIndicator, TouchableOpacity } from 'react-native';
import { Text } from '../../Atoms';
import { colors, defaultSize, defaultVariant } from '../../../constant/theme';
import styles from './button.style';

const GhostButton = _ref => {
  let {
    title,
    onPress,
    disabled,
    style,
    color,
    loading,
    left
  } = _ref;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    disabled: disabled,
    style: [styles.ghostButton, disabled && styles.disabled, {
      borderColor: disabled ? colors.grey.grey3 : color
    }, style]
  }, loading ? /*#__PURE__*/React.createElement(ActivityIndicator, {
    color: color
  }) : /*#__PURE__*/React.createElement(React.Fragment, null, left, /*#__PURE__*/React.createElement(Text, {
    adjustsFontSizeToFit: true,
    numberOfLines: 1,
    text: title,
    textStyle: {
      color: disabled ? colors.grey.grey3 : color
    },
    variant: "bold"
  })));
};

GhostButton.propTypes = {
  left: propTypes.any,
  title: propTypes.oneOfType([propTypes.string, propTypes.number]).isRequired,
  size: propTypes.oneOf(defaultSize),
  variant: propTypes.oneOf(defaultVariant),
  onPress: propTypes.func.isRequired
};
GhostButton.defaultProps = {
  left: undefined,
  title: 'Button Title',
  textSize: 'medium',
  textVariant: 'medium',
  color: colors.primary,
  onPress: () => {}
};
export default /*#__PURE__*/React.memo(GhostButton);
//# sourceMappingURL=GhostButton.js.map