import React from 'react';
import { View } from 'react-native';
import { Icon, Text } from '../../Atoms';
import Header from './Header';
import { styles } from './header.style';

const HeaderTitle = ({ noShadow, backIcon = 'arrow-left', title, style }) => {
  return (
    <Header noShadow={noShadow}>
      <View style={[styles.headerTitleWrapper, style]}>
        <Icon name={backIcon} color="black" size={20} />
        <View style={styles.headerBody}>
          <Text text={title} variant="bold" />
        </View>
        <View style={styles.headerOptimizer} />
      </View>
    </Header>
  );
};

export default HeaderTitle;
